<?php
$statuses = array(
	1 =>  __('weekly'),
	2 =>  __('monthly'),
);

$ratio = 1;
if ( Zend_Registry::isRegistered('statistics') ){
	$configs = Zend_Registry::get('statistics');
	if ( isset( $configs['ratio'] ) ){
		$ratio = $configs['ratio'];
	}
}


if ( count( $this->data ) > 0 ){
	foreach ( $this->data as $dat ){
	?>
	<tr>
		<td>
			<a href="<?= $this->getLink('profile', array('showname' => $dat['showname'], 'escort_id' => $dat['id']) ) ?>">
				<?php echo $dat['showname'] ?>
			</a>
		</td>
		<td>
			<?php echo number_format( ceil($dat['sedcard_view_count']/**$ratio*/), 0,'.',',') ?>
		</td>
<!--		<td>
			<?php // echo ceil($dat['photo_view_count']*$ratio) ?>
		</td>-->
		<td>
			<?php echo ceil($dat['message_count']) ?>
		</td>
		<td>
			<div>
				<span class="select small" ><?= __('weekly'); ?></span>
				<select id="report-<?php echo $dat['id']?>" class="w14 styled small type">
					<?php
					foreach ( $statuses as $key => $status ):
					?>
					<option value="<?php echo $key; ?>" ><?php echo $status; ?></option>
					<?php endforeach; ?>
				</select>
				<?php $stat = (int)$dat['status'];
				if ( $stat & 1 ):
				?>
				<span id="s-<?php echo $dat['id']; ?>"> <a href="" class="status"><?= __('deactivate'); ?></a> <input type="hidden" name="status" value="0" /> </span>
				<?php else: ?>
				<span id="s-<?php echo $dat['id']; ?>"> <a href="" class="status green"><?= __('activate'); ?></a> <input type="hidden" name="status" value="1" /> </span>
				<?php endif; ?>
				
			</div>
		</td>
	</tr>
	<?php } ?>
<?php } ?>
